=== debian/changelog ===
ocaml-cohttp (4.0.0-3) unstable; urgency=medium

  * Trigger rebuild for a small transition.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 14 Oct 2022 10:52:11 +0200

ocaml-cohttp (4.0.0-2) unstable; urgency=medium

  * Add deps on ppx-sexp-conv by hand... why!?

 -- Julien Puydt <jpuydt@debian.org>  Tue, 11 Oct 2022 07:50:28 +0200

ocaml-cohttp (4.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #1002566)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jan 2022 08:48:47 +0100
