=== debian/control ===
Source: ocaml-cohttp
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 ocaml-dune,
 libre-ocaml-dev,
 liburi-ocaml-dev,
 libsexplib0-ocaml-dev,
 libppx-sexp-conv-ocaml-dev,
 libstringext-ocaml-dev,
 libbase64-ocaml-dev,
 libfmt-ocaml-dev,
 libjsonm-ocaml-dev,
 libalcotest-ocaml-dev,
 liblogs-ocaml-dev,
 libconduit-lwt-ocaml-dev,
 libmagic-mime-ocaml-dev,
 libounit-ocaml-dev,
 netbase,
 dh-ocaml
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/mirage/ocaml-cohttp
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-cohttp.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-cohttp

Package: libcohttp-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml library for HTTP clients and servers (dev)
 Cohttp is an OCaml library for creating HTTP daemons. It has a
 portable HTTP parser, and implementations using various asynchronous
 programming libraries.
 .
 It has concrete implementations for many targets, including lwt,
 lwt-unix, lwt-jsoo.
 .
 You can implement other targets using the parser very easily. Look at
 the IO signature in lib/s.mli and implement that in the desired
 backend.
 .
 You can activate some runtime debugging by setting COHTTP_DEBUG to
 any value, and all requests and responses will be written to
 stderr. Further debugging of the connection layer can be obtained by
 setting CONDUIT_DEBUG to any value.
 .
 This package contains development files.

Package: libcohttp-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: OCaml library for HTTP clients and servers (runtime)
 Cohttp is an OCaml library for creating HTTP daemons. It has a
 portable HTTP parser, and implementations using various asynchronous
 programming libraries.
 .
 It has concrete implementations for many targets, including lwt,
 lwt-unix, lwt-jsoo.
 .
 You can implement other targets using the parser very easily. Look at
 the IO signature in lib/s.mli and implement that in the desired
 backend.
 .
 You can activate some runtime debugging by setting COHTTP_DEBUG to
 any value, and all requests and responses will be written to
 stderr. Further debugging of the connection layer can be obtained by
 setting CONDUIT_DEBUG to any value.
 .
 This package contains the shared runtime libraries.

Package: libcohttp-lwt-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}, libppx-sexp-conv-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: CoHTTP implementation using the Lwt concurrency library (dev)
 This is a portable implementation of CoHTTP that uses the Lwt
 concurrency library to multiplex IO. It implements as much of the
 logic in an OS-independent way as possible, so that more specialised
 modules can be tailored for different targets. For example, you can
 install cohttp-lwt-unix or cohttp-lwt-jsoo for a Unix or JavaScript
 backend, or cohttp-mirage for the MirageOS unikernel version of the
 library. All of these implementations share the same IO logic from
 this module.
 .
 This package contains development files.

Package: libcohttp-lwt-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}, libppx-sexp-conv-ocaml
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: CoHTTP implementation using the Lwt concurrency library (runtime)
 This is a portable implementation of CoHTTP that uses the Lwt
 concurrency library to multiplex IO. It implements as much of the
 logic in an OS-independent way as possible, so that more specialised
 modules can be tailored for different targets. For example, you can
 install cohttp-lwt-unix or cohttp-lwt-jsoo for a Unix or JavaScript
 backend, or cohttp-mirage for the MirageOS unikernel version of the
 library. All of these implementations share the same IO logic from
 this module.
 .
 This package contains the shared runtime libraries.

Package: libcohttp-lwt-unix-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: CoHTTP implementation for Unix and Windows using Lwt (dev)
 An implementation of an HTTP client and server using the Lwt
 concurrency library. See the Cohttp_lwt_unix module for information
 on how to use this. The package also installs cohttp-curl-lwt and a
 cohttp-server-lwt binaries for quick uses of a HTTP(S) client and
 server respectively.
 .
 Although the name implies that this only works under Unix, it should
 also be fine under Windows too.
 .
 This package contains development files.

Package: libcohttp-lwt-unix-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: CoHTTP implementation for Unix and Windows using Lwt (runtime)
 An implementation of an HTTP client and server using the Lwt
 concurrency library. See the Cohttp_lwt_unix module for information
 on how to use this. The package also installs cohttp-curl-lwt and a
 cohttp-server-lwt binaries for quick uses of a HTTP(S) client and
 server respectively.
 .
 Although the name implies that this only works under Unix, it should
 also be fine under Windows too.
 .
 This package contains the shared runtime libraries.

Package: libcohttp-lwt-jsoo-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: CoHTTP implementation for the Js_of_ocaml JavaScript compiler (dev)
 An implementation of an HTTP client for JavaScript, but using the
 CoHTTP types. This lets you build HTTP clients that can compile
 natively (using one of the other Cohttp backends such as
 cohttp-lwt-unix) and also to native JavaScript via js_of_ocaml.
 .
 This package contains development files.

Package: libcohttp-lwt-jsoo-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: CoHTTP implementation for the Js_of_ocaml JavaScript compiler (runtime)
 An implementation of an HTTP client for JavaScript, but using the
 CoHTTP types. This lets you build HTTP clients that can compile
 natively (using one of the other Cohttp backends such as
 cohttp-lwt-unix) and also to native JavaScript via js_of_ocaml.
 .
 This package contains the shared runtime libraries.
