=== debian/watch ===
version=4
https://github.com/mirage/ocaml-cohttp/releases .*-v?([\d\.]+)\.tbz
