## ocaml-cohttp 5.1.0

=== debian/changelog ===
ocaml-cohttp (5.1.0-2build3) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Aug 2023 19:33:33 +0200

ocaml-cohttp (5.1.0-2build2) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 20 Aug 2023 09:35:33 +0200

ocaml-cohttp (5.1.0-2build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Aug 2023 20:12:38 +0200

ocaml-cohttp (5.1.0-2) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 07 Aug 2023 05:10:19 +0200

ocaml-cohttp (5.1.0-1) unstable; urgency=medium

  * Add deps on ppx-sexp-conv by hand... why!?
  * Fix d/watch.
  * New upstream release.
  * Complete b-deps.
  * Fix compilation with recent dune

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 09:37:57 +0200
