=== debian/watch ===
version=4
https://github.com/mirage/ocaml-cohttp/tags .*/v?([\d\.]+)\.tar\.gz
