## ocaml-cohttp 5.3.0

=== Makefile ===
.PHONY: build clean test clean

build:
	dune build

test:
	dune runtest

js-test:
	dune build @runjstest

clean:
	dune clean
