=== debian/changelog ===
ocaml-cohttp (5.3.0-1+rpi1) trixie-staging; urgency=medium

  * Remove build-dependency on libcrowbar-ocaml-dev, which requires afl++
    which is not currently in raspbian. Disable test which depends on it.
  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Sat, 23 Dec 2023 08:03:57 +0000

ocaml-cohttp (5.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 08 Oct 2023 20:49:27 +0200
