=== debian/control ===
--- 
+++ 
@@ -2,28 +2,26 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders:
- Stéphane Glondu <glondu@debian.org>
-Build-Depends:
- debhelper-compat (= 13),
- ocaml-nox,
- ocaml-dune,
- libre-ocaml-dev,
- liburi-ocaml-dev,
- libsexplib0-ocaml-dev,
- libppx-sexp-conv-ocaml-dev,
- libstringext-ocaml-dev,
- libbase64-ocaml-dev,
- libfmt-ocaml-dev,
- libjsonm-ocaml-dev,
- libalcotest-ocaml-dev,
- liblogs-ocaml-dev,
- libconduit-lwt-ocaml-dev,
- libmagic-mime-ocaml-dev,
- libounit-ocaml-dev,
- netbase,
- dh-ocaml
-Standards-Version: 4.6.0
+Uploaders: Stéphane Glondu <glondu@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-ocaml (>= 1.2.2),
+               libalcotest-ocaml-dev <!nocheck>,
+               libbase64-ocaml-dev,
+               libconduit-lwt-ocaml-dev,
+               libfmt-ocaml-dev <!nocheck>,
+               libjsonm-ocaml-dev <!nocheck>,
+               liblogs-ocaml-dev,
+               libmagic-mime-ocaml-dev,
+               libounit-ocaml-dev,
+               libppx-sexp-conv-ocaml-dev,
+               libre-ocaml-dev,
+               libsexplib0-ocaml-dev,
+               libstringext-ocaml-dev,
+               liburi-ocaml-dev,
+               netbase,
+               ocaml-dune,
+               ocaml
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/mirage/ocaml-cohttp
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-cohttp.git
@@ -31,10 +29,7 @@
 
 Package: libcohttp-ocaml-dev
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${ocaml:Depends},
- ${misc:Depends}
+Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: OCaml library for HTTP clients and servers (dev)
@@ -58,10 +53,7 @@
 
 Package: libcohttp-ocaml
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${ocaml:Depends},
- ${misc:Depends}
+Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Suggests: ocaml-findlib
 Description: OCaml library for HTTP clients and servers (runtime)
@@ -85,10 +77,10 @@
 
 Package: libcohttp-lwt-ocaml-dev
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${ocaml:Depends},
- ${misc:Depends}, libppx-sexp-conv-ocaml-dev
+Depends: libppx-sexp-conv-ocaml-dev,
+         ${misc:Depends},
+         ${ocaml:Depends},
+         ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: CoHTTP implementation using the Lwt concurrency library (dev)
@@ -105,10 +97,10 @@
 
 Package: libcohttp-lwt-ocaml
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${ocaml:Depends},
- ${misc:Depends}, libppx-sexp-conv-ocaml
+Depends: libppx-sexp-conv-ocaml,
+         ${misc:Depends},
+         ${ocaml:Depends},
+         ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Suggests: ocaml-findlib
 Description: CoHTTP implementation using the Lwt concurrency library (runtime)
@@ -125,10 +117,7 @@
 
 Package: libcohttp-lwt-unix-ocaml-dev
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${ocaml:Depends},
- ${misc:Depends}
+Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: CoHTTP implementation for Unix and Windows using Lwt (dev)
@@ -145,10 +134,7 @@
 
 Package: libcohttp-lwt-unix-ocaml
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${ocaml:Depends},
- ${misc:Depends}
+Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Suggests: ocaml-findlib
 Description: CoHTTP implementation for Unix and Windows using Lwt (runtime)
@@ -165,10 +151,7 @@
 
 Package: libcohttp-lwt-jsoo-ocaml-dev
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${ocaml:Depends},
- ${misc:Depends}
+Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: CoHTTP implementation for the Js_of_ocaml JavaScript compiler (dev)
@@ -181,10 +164,7 @@
 
 Package: libcohttp-lwt-jsoo-ocaml
 Architecture: any
-Depends:
- ${shlibs:Depends},
- ${ocaml:Depends},
- ${misc:Depends}
+Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Suggests: ocaml-findlib
 Description: CoHTTP implementation for the Js_of_ocaml JavaScript compiler (runtime)
